TEMPODELAY equ 2
USEBASS2	equ	0	;if 1, use alternate second bass part from PDF

; Set all 8 values to zero
; if you want all sounds at full volume.  10 is probably 
; about the highest amount of attenuation you'll want.
;
; 000=square  001=bass  010=pitfall  011=noise
; 100=buzz    101=lead  110=saw      111=lowbass
;
; Things we use, and for what
;
; 000 = square = 4  = E3-As4 of melody
; 001 = bass   = 6  = B1 of bass
; 010 = lead   = 12 = E3- of bass (attenuated version of 101)
; 011 is part of drums
; 100 is part of drums
; 101 = lead   = 12 = B4-E6 of melody
; 110 = saw    = 1  = Cs2-Ds3 of bass
soundTurnArray
	byte 3, 5, 5, 7
	byte 4, 3, 9, 0

; Default Sound Type Setup:
; 000 0 Square  = 4
; 001 1 Bass    = 6
; 010 2 Lead    = 12 (attenuated)
; 011 3 Noise   = 8
;
; 100 4 Buzz    = 15
; 101 5 Lead    = 12
; 110 6 Saw     = 1
; 111 7 Engine  = 3
;
soundTypeArray
    byte 4,6,12,8
    byte 15,12,1,3

hatPattern
	byte %10001000
	byte %10001000
	byte %10001000
	byte %10001000


HATSTART equ INTROLENGTH

HATVOLUME equ 4
HATPITCH equ 0
HATSOUND equ 8

song1
	byte 12
	byte 10, 11
INTROLENGTH	equ	* - song1		;we don't want to repeat the intro
	byte 1, 2
	byte 3, 4
	byte 1, 2
	byte 3, 4
	byte 5, 6
	byte 7, 8
STARTDOTEXT	equ	* - song1
	byte 5, 6
	byte 7, 9

	; End of song marker
	byte 255

song2
	byte 0
	byte 13, 14
	byte 15, 16
	byte 15, 16
	byte 15, 16
	byte 15, 16
#if USEBASS2
	byte 17, 18
	byte 17, 18
	byte 17, 18
	byte 17, 18
#else
	byte 15, 16
	byte 15, 16
	byte 15, 16
	byte 15, 16
#endif

	; End of song marker
	byte 255

	; Higher volume patterns
patternArrayH 						; starts at 0

	; Muted pattern
	word mute,mute,mute,mute			;0

	word Meas1Part1, Meas1Part2, Meas1Part3, Meas1Part4		;1
	word Meas2Part1, Meas2Part2, Meas2Part3, Meas2Part4		;2
	word Meas3Part1, Meas3Part2, Meas3Part3, Meas3Part4		;3
	word Meas4Part1, Meas4Part2, Meas4Part3, Meas4Part4		;4

	word Meas5Part1, Meas5Part2, Meas5Part3, Meas5Part4		;5
	word Meas6Part1, Meas6Part2, Meas6Part3, Meas6Part4		;6
	word Meas7Part1, Meas7Part2, Meas7Part3, Meas7Part4		;7
	word Meas8Part1, Meas8Part2, Meas8Part3, Meas8Part4		;8

	word Meas9Part1, Meas9Part2, Meas9Part3, Meas9Part4		;9

	word Intro1Part1, Intro1Part2, Intro1Part3, Intro1Part4	;10
	word Intro2Part1, Intro2Part2, Intro2Part3, Intro2Part4	;11

	word mute, Intro0Part1, Intro0Part2, Intro0Part3	;12

	word Snare1a,Snare1a,Tom1a,Snare1b	;13
	word Tom1a,Snare1b,Snare1b,Snare1a	;14

	word BassE2,BassFs2,BassDs2,BassGs2				;15
	word BassCs2,BassFs2,BassB1Thingy,BassCs2Ds2	;16, per the jpeg (pdf is simpler)

#if USEBASS2
	;second bass line, per the PDF
	word Bass2Meas1Part1,Bass2Meas1Part2,Bass2Meas1Part3,Bass2Meas1Part4	;17
	word Bass2Meas2Part1,Bass2Meas2Part2,Bass2Meas2Part3,Bass2Meas2Part4	;18
#endif

	; Lower volume patterns
patternArrayL 						; start at 128

B1		equ	%00110000		;badly out of tune..
Cs2		equ	%11011101
Ds2		equ	%11011010
E2		equ	%11011001		;badly out of tune..
Fs2		equ	%11010110
Gs2		equ	%11010011
B2		equ	%11010000
Cs3		equ	%11001110
Ds3		equ	%11001100		;badly out of tune..

E3A		equ	%01011111		;attenuated
Fs3A	equ %01011011		;attenuated
Gs3A	equ %01011000		;attenuated, badly out of tune..
B3A		equ	%01010100		;attenuated
Ds4A	equ	%01010000		;attenuated
E4A		equ	%01001111		;attenuated

;E3		equ	%10111111
;F3		equ	%10111101
;Fs3		equ	%10111011
;G3		equ	%10111010
;Gs3		equ	%10111000
;A3		equ	%10110111
;B3		equ	%10110100
;C4		equ	%10110011
;Cs4		equ	%10110010
;D4		equ	%10110001
Ds4		equ	%10110000
E4		equ	%10101111
F4		equ	%10101110
Fs4		equ	%10101101
Gs4		equ %10101100		;badly out of tune..
A4		equ	%10101011
As4		equ	%10101010		;badly out of tune..
B4		equ	%00011111
C5		equ	%00011101
Cs5		equ	%00011011
D5		equ	%00011010
Ds5		equ	%00011000
E5		equ	%00010111
F5		equ	%00010101
Fs5		equ	%00010100
G5		equ	%00010011
Gs5		equ	%00010010
A5		equ	%00010001
As5		equ	%00010000
B5		equ	%00001111
C6		equ	%00001110
Cs6		equ	%00001101
Ds6		equ	%00001100		;badly out of tune..
E6		equ	%00001011

KICKSTART	equ	%10011110
SNARESTART	equ	%10000100

Tom1a
	byte %10010110, %01110110
	byte %01110110, %01110110
	byte 255,255
	byte 255,255

	byte %10000000

Snare1a
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %01100101, 255
	byte 255, 255
	
	byte %11000000

Snare1b
	byte %10000100, %01100100
	byte %01100101, %01100101
	byte %01100101, 255
	byte %10010110, 255
	
	byte %11000000

BassE2
	byte E2, KICKSTART
	byte E2, E2
	byte E3A, E3A
	byte E3A, E3A
	byte %10001000

BassFs2
	byte Fs2, SNARESTART
	byte Fs2, Fs2
	byte Fs3A, Fs3A
	byte Fs3A, 255
	byte %10001000

BassDs2
	byte Ds2, KICKSTART
	byte Ds2, Ds2
	byte Ds3, Ds3
	byte Ds3, Ds3
	byte %10001000

BassGs2
	byte Gs2, SNARESTART
	byte Gs2, Gs2
	byte Gs3A, Gs3A
	byte Gs3A, 255
	byte %10001000

BassCs2
	byte Cs2, KICKSTART
	byte Cs2, Cs2
	byte Cs3, Cs3
	byte Cs3, Cs3
	byte %10001000

BassB1Thingy
	byte B1, KICKSTART
	byte B2, B2
	byte B1, B1
	byte B1, B1
	byte %10001000

BassCs2Ds2
	byte Cs2, SNARESTART
	byte Cs2, Cs2
	byte Ds2, Ds2
	byte Ds2, 255
	byte %10001000

#if USEBASS2
Bass2Meas1Part1
	byte E3A, KICKSTART
	byte E3A, E3A
	byte Gs3A, Gs3A
	byte Gs3A, Gs3A
	byte %10001000

Bass2Meas1Part2
	byte B3A, SNARESTART
	byte B3A, B3A
	byte E4A, E4A
	byte E4A, 255
	byte %10001000

Bass2Meas1Part3
	byte Ds3, KICKSTART
	byte Ds3, Ds3
	byte Fs3A, Fs3A
	byte Fs3A, Fs3A
	byte %10001000

Bass2Meas1Part4
	byte B3A, SNARESTART
	byte B3A, B3A
	byte Ds4A, Ds4A
	byte Ds4A, 255
	byte %10001000

Bass2Meas2Part1
	byte Cs3, KICKSTART
	byte Cs3, Cs3
	byte E3A, E3A
	byte E3A, E3A
	byte %10001000

Bass2Meas2Part2
	byte Gs3A, SNARESTART
	byte Gs3A, Gs3A
	byte B3A, B3A
	byte B3A, 255
	byte %10001000

Bass2Meas2Part3
	byte B2, KICKSTART
	byte B2, B2
	byte Ds3, Ds3
	byte Ds3, Ds3
	byte %10001000

Bass2Meas2Part4
	byte Fs3A, SNARESTART
	byte Fs3A, Fs3A
	byte B3A, B3A
	byte B3A, 255
	byte %10001000
#endif

Intro0Part1
	byte 255, 255
	byte 255, 255
	byte %11001101, %11001100
	byte 255, 255
	byte 0

Intro0Part2
	byte 255, 255
	byte %10101001, %10101000
	byte 255, 255
	byte 255, 255
	byte 0

Intro0Part3
	byte %11100111, %11100110
	byte %11100111, 255
	byte 255, 255
	byte 255, 255
	byte 0

#if 1
;one octave up
Intro1Part1
	byte Ds5, Ds5
	byte E5, E5
	byte Fs5, Fs5
	byte Fs5, 255
	byte %00000000

Intro1Part2
	byte B5, B5
	byte B5, 255
	byte Ds5, Ds5
	byte E5, E5
	byte %00000000

Intro1Part3
	byte Fs5, Fs5
	byte B5, B5
	byte Cs6, Cs6
	byte Ds6, Ds6
	byte %00000000

Intro1Part4
	byte Cs6, Cs6
	byte As5, As5
	byte B5, B5
	byte B5, 255
	byte %00000000

Intro2Part1
	byte Fs5, Fs5
	byte Fs5, 255
	byte Ds5, Ds5
	byte E5, E5
	byte %00000000

Intro2Part2
	byte Fs5, Fs5
	byte Fs5, 255
	byte B5, B5
	byte B5, 255
	byte %00000000

Intro2Part3
	byte Cs6, Cs6
	byte As5, As5
	byte B5, B5
	byte Cs6, Cs6
	byte %00000000

Intro2Part4
	byte E6, E6
	byte Ds6, Ds6
	byte E6, E6
	byte Cs6, Cs6
	byte %00000000
#else
Intro1Part1
	byte Ds4, Ds4
	byte E4, E4
	byte Fs4, Fs4
	byte Fs4, 255
	byte %00000000

Intro1Part2
	byte B4, B4
	byte B4, 255
	byte Ds4, Ds4
	byte E4, E4
	byte %00000000

Intro1Part3
	byte Fs4, Fs4
	byte B4, B4
	byte Cs5, Cs5
	byte Ds5, Ds5
	byte %00000000

Intro1Part4
	byte Cs5, Cs5
	byte As4, As4
	byte B4, B4
	byte B4, 255
	byte %00000000

Intro2Part1
	byte Fs4, Fs4
	byte Fs4, 255
	byte Ds4, Ds4
	byte E4, E4
	byte %00000000

Intro2Part2
	byte Fs4, Fs4
	byte Fs4, 255
	byte B4, B4
	byte B4, 255
	byte %00000000

Intro2Part3
	byte Cs5, Cs5
	byte As4, As4
	byte B4, B4
	byte Cs5, Cs5
	byte %00000000

Intro2Part4
	byte E5, E5
	byte Ds5, Ds5
	byte E5, E5
	byte Cs5, Cs5
	byte %00000000
#endif

Meas1Part1
	byte Fs5, Fs5
	byte Fs5, Fs5
	byte Gs5, Gs5
	byte Gs5, Gs5
	byte %00000000

Meas1Part2
	byte Ds5, 255
	byte Ds5, Ds5
	byte 255, 255
	byte B4, B4
	byte %00000000

Meas1Part3
	byte D5, D5
	byte Cs5, Cs5
	byte B4, B4
	byte 255, 255
	byte %00000000

Meas1Part4
	byte B4, B4
	byte B4, B4
	byte Cs5, Cs5
	byte Cs5, Cs5
	byte %00000000

Meas2Part1
	byte D5, D5
	byte D5, 255
	byte D5, D5
	byte Cs5, Cs5
	byte %00000000

Meas2Part2
	byte B4, B4
	byte Cs5, Cs5
	byte Ds5, Ds5
	byte Fs5, Fs5
	byte %00000000

Meas2Part3
Meas3Part2
	byte Gs5, Gs5
	byte Ds5, Ds5
	byte Fs5, Fs5
	byte Cs5, Cs5
	byte %00000000

Meas2Part4
	byte Ds5, Ds5
	byte B4, B4
	byte Cs5, Cs5
	byte B4, B4
	byte %00000000

Meas3Part1
	byte Ds5, Ds5
	byte Ds5, Ds5
	byte Fs5, Fs5
	byte Fs5, Fs5
	byte %00000000

Meas3Part3
	byte Ds5, Ds5
	byte B4, B4
	byte D5, D5
	byte Ds5, Ds5
	byte %00000000

Meas3Part4
	byte D5, D5
	byte Cs5, Cs5
	byte B4, B4
	byte Cs5, Cs5
	byte %00000000

Meas4Part1
	byte D5, D5
	byte D5, D5
	byte B4, B4
	byte Cs5, Cs5
	byte %00000000

Meas4Part2
	byte Ds5, Ds5
	byte Fs5, Fs5
	byte Cs5, Cs5
	byte Ds5, Ds5
	byte %00000000

Meas4Part3
	byte Cs5, Cs5
	byte B4, B4
	byte Cs5, Cs5
	byte Cs5, Cs5
	byte %00000000

Meas4Part4
	byte B4, B4
	byte B4, B4
	byte Cs5, Cs5
	byte Cs5, Cs5
	byte %00000000

Meas5Part1
Meas5Part2
	byte B4, B4
	byte B4, B4
	byte Fs4, Fs4
	byte Gs4, Gs4
	byte %00000000

Meas5Part3
	byte B4, B4
	byte Cs5, Cs5
	byte Ds5, Ds5
	byte B4, B4
	byte %00000000

Meas5Part4
	byte E5, E5
	byte Ds5, Ds5
	byte E5, E5
	byte Fs5, Fs5
	byte %00000000

Meas6Part1
	byte B4, B4
	byte B4, 255
	byte B4, B4
	byte B4, B4
	byte %00000000

Meas6Part2
	byte Fs4, Fs4
	byte Gs4, Gs4
	byte B4, B4
	byte Fs4, Fs4
	byte %00000000

Meas6Part3
	byte E5, E5
	byte Ds5, Ds5
	byte Cs5, Cs5
	byte B4, B4
	byte %00000000

Meas6Part4
	byte Fs4, Fs4
	byte Ds4, Ds4
	byte E4, E4
	byte Fs4, Fs4
	byte %00000000

Meas7Part1
Meas7Part2
	byte B4, B4
	byte B4, B4
	byte Fs4, Fs4
	byte Gs4, Gs4
	byte %00000000

Meas7Part3
	byte B4, 255
	byte B4, B4
	byte Cs5, Cs5
	byte Ds5, Ds5
	byte %00000000

Meas7Part4
	byte B4, B4
	byte Fs4, Fs4
	byte Gs4, Gs4
	byte Fs4, Fs4
	byte %00000000

Meas8Part1
Meas9Part1
	byte B4, B4
	byte B4, 255
	byte B4, B4
	byte Fs4, Fs4
	byte %00000000

Meas8Part2
Meas9Part2
	byte B4, B4
	byte Fs4, Fs4
	byte Gs4, Gs4
	byte B4, B4
	byte %00000000

Meas8Part3
Meas9Part3
	byte E5, E5
	byte Ds5, Ds5
	byte E5, E5
	byte Fs5, Fs5
	byte %00000000

Meas8Part4
	byte B4, B4
	byte B4, B4
	byte As4, As4
	byte As4, As4
	byte %00000000

Meas9Part4
	byte B4, B4
	byte B4, B4
	byte Cs5, Cs5
	byte Cs5, Cs5
	byte %00000000

mute
	byte 255,255,255,255
	byte 255,255,255,255

	byte 255